# API Error Messages

Sample Error Response

```json
{
    "result": "error",
    "message": "Symbol Required -- Symbol is required for this request",
    "data": "",
    "params": {}
}
```

In the example provided, the error message indicates that a "Symbol" is required for the request.

The Error response follow the format:

```
Symbol Required -- Symbol is required for this request
<Error Header>  -- <Error Message>
```

The Error Header and Messages

* Invalid Time:&#x20;
  * End time must be accompanied by a start time&#x20;
  * Start time and end time must be different&#x20;
  * End time must be greater than start time
* Invalid Limit: \
  Limit must be an integer
* Invalid Time Format:&#x20;

  Accepted formats are:&#x20;

  * YYYY-MM-DDTHH:MM:SSZ&#x20;
  * YYYY-MM-DDTHH:MM:SS.sssZ&#x20;
  * YYYY-MM-DD
* Symbol Required: \
  Symbol is required for this request
* Invalid Symbol:&#x20;

  Symbol does not exist
* Symbol Different Endpoint:&#x20;

  Symbol frequency belongs to a different endpoint
* Invalid Frequency:&#x20;

  Frequency must be one of the following:&#x20;

  * r for real-time
  * h for hourly
  * d for daily
* Too Many Requests: \
  Rate limit exceeded
* Unauthorized:&#x20;
  * You have not specified authorization header&#x20;
  * You are not authenticated properly&#x20;
  * You do not have access to requested endpoint


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kaiko.com/formerly-vinter-indices/api/api-error-messages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
